<script>
	export default {
		globalData: {
			longitude: "",
			latitude: "",
			requestToken: ""
		},
		onLaunch: function() {
			let _this = this;
			uni.getLocation({
				type: 'wgs84',
				success: function(res) {
					console.log(res)
					_this.globalData.longitude = res.longitude;
					_this.globalData.latitude = res.latitude;
				},
				fail: function() {
					uni.showToast({
						title: '获取地址失败，将导致部分功能不可用',
						icon: 'none'
					});
				}
			});
		},
		onShow: function() {
			console.log('App Show')
		},
		onHide: function() {
			console.log('App Hide')
		}
	}
</script>

<style>
	/*每个页面公共css */
	@import './assets/iconfont/iconfont.css';
</style>